<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Weapon_Base Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d9c/class_weapon___base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">Weapon_Base Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>shorthand  
 <a href="../../d3/d9c/class_weapon___base.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for Weapon_Base:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/d9c/class_weapon___base.png" usemap="#Weapon_5FBase_map" alt=""/>
  <map id="Weapon_5FBase_map" name="Weapon_5FBase_map">
<area href="../../dd/d7d/class_flaregun.html" alt="Flaregun" shape="rect" coords="0,56,137,80"/>
<area href="../../d9/d8e/class_m249.html" alt="M249" shape="rect" coords="147,56,284,80"/>
<area href="../../d9/d8b/class_single_shot_pistol___base.html" alt="SingleShotPistol_Base" shape="rect" coords="294,56,431,80"/>
<area href="../../d9/d2e/class_long_horn___base.html" alt="LongHorn_Base" shape="rect" coords="294,112,431,136"/>
<area href="../../de/d53/class_long_horn.html" alt="LongHorn" shape="rect" coords="294,168,431,192"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aab540528f31cabb1eeeea6d90d3c2c32"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#aab540528f31cabb1eeeea6d90d3c2c32">GetChanceToJam</a> ()</td></tr>
<tr class="separator:aab540528f31cabb1eeeea6d90d3c2c32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a836aa8b7b6c068918c1010089b817a2e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a836aa8b7b6c068918c1010089b817a2e">SetActions</a> ()</td></tr>
<tr class="separator:a836aa8b7b6c068918c1010089b817a2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63bf7aa00cab9858111a5731b8779ac2"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a63bf7aa00cab9858111a5731b8779ac2">SpawnRecoilObject</a> ()</td></tr>
<tr class="separator:a63bf7aa00cab9858111a5731b8779ac2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1d711dad8d2e33add312632783236b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#af1d711dad8d2e33add312632783236b1">Magnum_Base</a> ()</td></tr>
<tr class="separator:af1d711dad8d2e33add312632783236b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc3ec449eedca091b8f0904a30dfe730"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#adc3ec449eedca091b8f0904a30dfe730">EEInit</a> ()</td></tr>
<tr class="separator:adc3ec449eedca091b8f0904a30dfe730"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f83924fe7b100a97788bfd2efa95fde"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a2f83924fe7b100a97788bfd2efa95fde">InitStateMachine</a> ()</td></tr>
<tr class="separator:a2f83924fe7b100a97788bfd2efa95fde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf803443d4519d562fd8574d0965e28c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#abf803443d4519d562fd8574d0965e28c">CanChamberBullet</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> muzzleIndex, Magazine mag)</td></tr>
<tr class="separator:abf803443d4519d562fd8574d0965e28c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf51ddd091786d4ab582929cdac8ac9c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#abf51ddd091786d4ab582929cdac8ac9c">AssembleGun</a> ()</td></tr>
<tr class="separator:abf51ddd091786d4ab582929cdac8ac9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae82a432df21437cfb70d08e309bf2f67"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#ae82a432df21437cfb70d08e309bf2f67">SetCylinderRotationAnimationPhase</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> rot, <a class="el" href="../../d9/db9/classbool.html">bool</a> reset=false)</td></tr>
<tr class="separator:ae82a432df21437cfb70d08e309bf2f67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a360636f7eb66711ff3e3ca84ec846a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a8a360636f7eb66711ff3e3ca84ec846a">SyncCylinderRotation</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> reset=true)</td></tr>
<tr class="separator:a8a360636f7eb66711ff3e3ca84ec846a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7feb462b17b6ae0dd943b431d94ba1af"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a7feb462b17b6ae0dd943b431d94ba1af">EEHealthLevelChanged</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> oldLevel, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> newLevel, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> zone)</td></tr>
<tr class="separator:a7feb462b17b6ae0dd943b431d94ba1af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe135b7c75d059158abae3d032d0d7ca"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#afe135b7c75d059158abae3d032d0d7ca">SetAttachmentsHealth</a> ()</td></tr>
<tr class="separator:afe135b7c75d059158abae3d032d0d7ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4d3a28942cca8b4cd60be4da50c1ef9"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#ad4d3a28942cca8b4cd60be4da50c1ef9">OnFire</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> muzzle_index)</td></tr>
<tr class="separator:ad4d3a28942cca8b4cd60be4da50c1ef9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64482a7ed682728d2041cc2e3f5f918e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a64482a7ed682728d2041cc2e3f5f918e">IsShowingChamberedBullet</a> ()</td></tr>
<tr class="separator:a64482a7ed682728d2041cc2e3f5f918e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91d1a6770d384563e71345e0d886eac6"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a91d1a6770d384563e71345e0d886eac6">CanEjectBullet</a> ()</td></tr>
<tr class="separator:a91d1a6770d384563e71345e0d886eac6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a763c1fda0aeaffd53d7049d262227c9a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a763c1fda0aeaffd53d7049d262227c9a">ShowBullet</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> muzzleIndex)</td></tr>
<tr class="separator:a763c1fda0aeaffd53d7049d262227c9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a534c23899d340f4748037cc5e4f62f29"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a534c23899d340f4748037cc5e4f62f29">HideBullet</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> muzzleIndex)</td></tr>
<tr class="separator:a534c23899d340f4748037cc5e4f62f29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addc1ba3a4eb783baba145d06929d3a97"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#addc1ba3a4eb783baba145d06929d3a97">OnDebugSpawn</a> ()</td></tr>
<tr class="separator:addc1ba3a4eb783baba145d06929d3a97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf803443d4519d562fd8574d0965e28c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#abf803443d4519d562fd8574d0965e28c">CanChamberBullet</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> muzzleIndex, Magazine mag)</td></tr>
<tr class="separator:abf803443d4519d562fd8574d0965e28c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab130aac8b36870a967aaeaa2450fe4f3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#ab130aac8b36870a967aaeaa2450fe4f3">Pistol_Base</a> ()</td></tr>
<tr class="separator:ab130aac8b36870a967aaeaa2450fe4f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f83924fe7b100a97788bfd2efa95fde"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a2f83924fe7b100a97788bfd2efa95fde">InitStateMachine</a> ()</td></tr>
<tr class="separator:a2f83924fe7b100a97788bfd2efa95fde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab540528f31cabb1eeeea6d90d3c2c32"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#aab540528f31cabb1eeeea6d90d3c2c32">GetChanceToJam</a> ()</td></tr>
<tr class="separator:aab540528f31cabb1eeeea6d90d3c2c32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a836aa8b7b6c068918c1010089b817a2e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a836aa8b7b6c068918c1010089b817a2e">SetActions</a> ()</td></tr>
<tr class="separator:a836aa8b7b6c068918c1010089b817a2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4977752e217c914bc088c16c6484ff88"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a4977752e217c914bc088c16c6484ff88">Rifle_Base</a> ()</td></tr>
<tr class="separator:a4977752e217c914bc088c16c6484ff88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f83924fe7b100a97788bfd2efa95fde"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a2f83924fe7b100a97788bfd2efa95fde">InitStateMachine</a> ()</td></tr>
<tr class="separator:a2f83924fe7b100a97788bfd2efa95fde"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:aadd24980aa19323e7a35c75bc021c65e"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#aadd24980aa19323e7a35c75bc021c65e">GetCylinderRotation</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> muzzleIndex)</td></tr>
<tr class="separator:aadd24980aa19323e7a35c75bc021c65e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ab6de687953ca211e43456a0c2c9d2516"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#ab6de687953ca211e43456a0c2c9d2516">C</a></td></tr>
<tr class="separator:ab6de687953ca211e43456a0c2c9d2516"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f5910c0eb0a5a99e5dbfabd4ab1b470"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a2f5910c0eb0a5a99e5dbfabd4ab1b470">m_LastMuzzleloaded</a></td></tr>
<tr class="separator:a2f5910c0eb0a5a99e5dbfabd4ab1b470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e2ac3abeb766e0d3624f7922f2ab4a1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a7e2ac3abeb766e0d3624f7922f2ab4a1">m_ActiveMuzzle</a></td></tr>
<tr class="separator:a7e2ac3abeb766e0d3624f7922f2ab4a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add7c9dd163676233e9ec07b26aa6c9b7"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#add7c9dd163676233e9ec07b26aa6c9b7">ATT_SLOT_CYLINDER</a> = &quot;RevolverCylinder&quot;</td></tr>
<tr class="separator:add7c9dd163676233e9ec07b26aa6c9b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f97c9635a955dec80d05728abb36828"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a2f97c9635a955dec80d05728abb36828">ATT_SLOT_EJECTOR</a> = &quot;RevolverEjector&quot;</td></tr>
<tr class="separator:a2f97c9635a955dec80d05728abb36828"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa90054876a9de8072b1719f688e34d03"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#aa90054876a9de8072b1719f688e34d03">CD00</a></td></tr>
<tr class="separator:aa90054876a9de8072b1719f688e34d03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5237526cfc0b11334cea1a934ebe46d0"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a5237526cfc0b11334cea1a934ebe46d0">CC00</a></td></tr>
<tr class="separator:a5237526cfc0b11334cea1a934ebe46d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6f89fc0eea43deabf24fae5787dba59"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#ae6f89fc0eea43deabf24fae5787dba59">CC10</a></td></tr>
<tr class="separator:ae6f89fc0eea43deabf24fae5787dba59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2774f83cc6eab93e0906aa9b5ffe64ca"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a2774f83cc6eab93e0906aa9b5ffe64ca">CJF0</a></td></tr>
<tr class="separator:a2774f83cc6eab93e0906aa9b5ffe64ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f678e99d902eea4f0cce17644f86370"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a9f678e99d902eea4f0cce17644f86370">OD00</a></td></tr>
<tr class="separator:a9f678e99d902eea4f0cce17644f86370"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f5bf7476408a32d9d7b049b9f2a6bdc"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a9f5bf7476408a32d9d7b049b9f2a6bdc">CD01</a></td></tr>
<tr class="separator:a9f5bf7476408a32d9d7b049b9f2a6bdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c67c868bea52f45aeccfc2b72330150"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a5c67c868bea52f45aeccfc2b72330150">CC01</a></td></tr>
<tr class="separator:a5c67c868bea52f45aeccfc2b72330150"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8de2df1f8c8e1e1dfd5d09a51aebde4"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#aa8de2df1f8c8e1e1dfd5d09a51aebde4">CC11</a></td></tr>
<tr class="separator:aa8de2df1f8c8e1e1dfd5d09a51aebde4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49d3825ad43f10a0a4a9fe7376c29f79"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#a49d3825ad43f10a0a4a9fe7376c29f79">CJF1</a></td></tr>
<tr class="separator:a49d3825ad43f10a0a4a9fe7376c29f79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac46b262acd805b2fd338093e972db40b"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html#ac46b262acd805b2fd338093e972db40b">OD01</a></td></tr>
<tr class="separator:ac46b262acd805b2fd338093e972db40b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >shorthand </p>
<p >script base for all weapons</p>
<p >@NOTE: this class is bound to core-config "Weapon_Base" config class </p>

<p class="definition">Definition at line <a class="el" href="../../d0/d62/_bolt_action_rifle___base_8c_source.html#l00005">5</a> of file <a class="el" href="../../d0/d62/_bolt_action_rifle___base_8c_source.html">BoltActionRifle_Base.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="abf51ddd091786d4ab582929cdac8ac9c" name="abf51ddd091786d4ab582929cdac8ac9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf51ddd091786d4ab582929cdac8ac9c">&#9670;&#160;</a></span>AssembleGun()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Weapon_Base::AssembleGun </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00188">188</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="abf803443d4519d562fd8574d0965e28c" name="abf803443d4519d562fd8574d0965e28c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf803443d4519d562fd8574d0965e28c">&#9670;&#160;</a></span>CanChamberBullet() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Weapon_Base::CanChamberBullet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>muzzleIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>mag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00172">172</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="abf803443d4519d562fd8574d0965e28c" name="abf803443d4519d562fd8574d0965e28c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf803443d4519d562fd8574d0965e28c">&#9670;&#160;</a></span>CanChamberBullet() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Weapon_Base::CanChamberBullet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>muzzleIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>mag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00160">160</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a91d1a6770d384563e71345e0d886eac6" name="a91d1a6770d384563e71345e0d886eac6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91d1a6770d384563e71345e0d886eac6">&#9670;&#160;</a></span>CanEjectBullet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Weapon_Base::CanEjectBullet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00297">297</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a7feb462b17b6ae0dd943b431d94ba1af" name="a7feb462b17b6ae0dd943b431d94ba1af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7feb462b17b6ae0dd943b431d94ba1af">&#9670;&#160;</a></span>EEHealthLevelChanged()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Weapon_Base::EEHealthLevelChanged </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>oldLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>newLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>zone</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00254">254</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="adc3ec449eedca091b8f0904a30dfe730" name="adc3ec449eedca091b8f0904a30dfe730"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc3ec449eedca091b8f0904a30dfe730">&#9670;&#160;</a></span>EEInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Weapon_Base::EEInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00088">88</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="aab540528f31cabb1eeeea6d90d3c2c32" name="aab540528f31cabb1eeeea6d90d3c2c32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab540528f31cabb1eeeea6d90d3c2c32">&#9670;&#160;</a></span>GetChanceToJam() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d4/dc3/classfloat.html">float</a> Weapon_Base::GetChanceToJam </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d62/_bolt_action_rifle___base_8c_source.html#l00007">7</a> of file <a class="el" href="../../d0/d62/_bolt_action_rifle___base_8c_source.html">BoltActionRifle_Base.c</a>.</p>

</div>
</div>
<a id="aab540528f31cabb1eeeea6d90d3c2c32" name="aab540528f31cabb1eeeea6d90d3c2c32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab540528f31cabb1eeeea6d90d3c2c32">&#9670;&#160;</a></span>GetChanceToJam() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d4/dc3/classfloat.html">float</a> Weapon_Base::GetChanceToJam </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00576">576</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="aadd24980aa19323e7a35c75bc021c65e" name="aadd24980aa19323e7a35c75bc021c65e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadd24980aa19323e7a35c75bc021c65e">&#9670;&#160;</a></span>GetCylinderRotation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Weapon_Base::GetCylinderRotation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>muzzleIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00200">200</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a534c23899d340f4748037cc5e4f62f29" name="a534c23899d340f4748037cc5e4f62f29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a534c23899d340f4748037cc5e4f62f29">&#9670;&#160;</a></span>HideBullet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Weapon_Base::HideBullet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>muzzleIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00330">330</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a2f83924fe7b100a97788bfd2efa95fde" name="a2f83924fe7b100a97788bfd2efa95fde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f83924fe7b100a97788bfd2efa95fde">&#9670;&#160;</a></span>InitStateMachine() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Weapon_Base::InitStateMachine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00095">95</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a2f83924fe7b100a97788bfd2efa95fde" name="a2f83924fe7b100a97788bfd2efa95fde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f83924fe7b100a97788bfd2efa95fde">&#9670;&#160;</a></span>InitStateMachine() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Weapon_Base::InitStateMachine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00169">169</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a2f83924fe7b100a97788bfd2efa95fde" name="a2f83924fe7b100a97788bfd2efa95fde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f83924fe7b100a97788bfd2efa95fde">&#9670;&#160;</a></span>InitStateMachine() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Weapon_Base::InitStateMachine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dcf/_rifle___base_8c_source.html#l00016">16</a> of file <a class="el" href="../../d5/dcf/_rifle___base_8c_source.html">Rifle_Base.c</a>.</p>

</div>
</div>
<a id="a64482a7ed682728d2041cc2e3f5f918e" name="a64482a7ed682728d2041cc2e3f5f918e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64482a7ed682728d2041cc2e3f5f918e">&#9670;&#160;</a></span>IsShowingChamberedBullet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Weapon_Base::IsShowingChamberedBullet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00292">292</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="af1d711dad8d2e33add312632783236b1" name="af1d711dad8d2e33add312632783236b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1d711dad8d2e33add312632783236b1">&#9670;&#160;</a></span>Magnum_Base()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Weapon_Base::Magnum_Base </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00073">73</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="addc1ba3a4eb783baba145d06929d3a97" name="addc1ba3a4eb783baba145d06929d3a97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addc1ba3a4eb783baba145d06929d3a97">&#9670;&#160;</a></span>OnDebugSpawn()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Weapon_Base::OnDebugSpawn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00351">351</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="ad4d3a28942cca8b4cd60be4da50c1ef9" name="ad4d3a28942cca8b4cd60be4da50c1ef9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4d3a28942cca8b4cd60be4da50c1ef9">&#9670;&#160;</a></span>OnFire()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Weapon_Base::OnFire </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>muzzle_index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00279">279</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="ab130aac8b36870a967aaeaa2450fe4f3" name="ab130aac8b36870a967aaeaa2450fe4f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab130aac8b36870a967aaeaa2450fe4f3">&#9670;&#160;</a></span>Pistol_Base()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Weapon_Base::Pistol_Base </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00165">165</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a4977752e217c914bc088c16c6484ff88" name="a4977752e217c914bc088c16c6484ff88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4977752e217c914bc088c16c6484ff88">&#9670;&#160;</a></span>Rifle_Base()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Weapon_Base::Rifle_Base </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dcf/_rifle___base_8c_source.html#l00012">12</a> of file <a class="el" href="../../d5/dcf/_rifle___base_8c_source.html">Rifle_Base.c</a>.</p>

</div>
</div>
<a id="a836aa8b7b6c068918c1010089b817a2e" name="a836aa8b7b6c068918c1010089b817a2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a836aa8b7b6c068918c1010089b817a2e">&#9670;&#160;</a></span>SetActions() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Weapon_Base::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00058">58</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a836aa8b7b6c068918c1010089b817a2e" name="a836aa8b7b6c068918c1010089b817a2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a836aa8b7b6c068918c1010089b817a2e">&#9670;&#160;</a></span>SetActions() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Weapon_Base::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00607">607</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="afe135b7c75d059158abae3d032d0d7ca" name="afe135b7c75d059158abae3d032d0d7ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe135b7c75d059158abae3d032d0d7ca">&#9670;&#160;</a></span>SetAttachmentsHealth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Weapon_Base::SetAttachmentsHealth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00265">265</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="ae82a432df21437cfb70d08e309bf2f67" name="ae82a432df21437cfb70d08e309bf2f67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae82a432df21437cfb70d08e309bf2f67">&#9670;&#160;</a></span>SetCylinderRotationAnimationPhase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Weapon_Base::SetCylinderRotationAnimationPhase </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>rot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>reset</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00223">223</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a763c1fda0aeaffd53d7049d262227c9a" name="a763c1fda0aeaffd53d7049d262227c9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a763c1fda0aeaffd53d7049d262227c9a">&#9670;&#160;</a></span>ShowBullet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Weapon_Base::ShowBullet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>muzzleIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00307">307</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a63bf7aa00cab9858111a5731b8779ac2" name="a63bf7aa00cab9858111a5731b8779ac2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63bf7aa00cab9858111a5731b8779ac2">&#9670;&#160;</a></span>SpawnRecoilObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a> Weapon_Base::SpawnRecoilObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00068">68</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a8a360636f7eb66711ff3e3ca84ec846a" name="a8a360636f7eb66711ff3e3ca84ec846a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a360636f7eb66711ff3e3ca84ec846a">&#9670;&#160;</a></span>SyncCylinderRotation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Weapon_Base::SyncCylinderRotation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>reset</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00249">249</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="add7c9dd163676233e9ec07b26aa6c9b7" name="add7c9dd163676233e9ec07b26aa6c9b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add7c9dd163676233e9ec07b26aa6c9b7">&#9670;&#160;</a></span>ATT_SLOT_CYLINDER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Weapon_Base::ATT_SLOT_CYLINDER = &quot;RevolverCylinder&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00055">55</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a2f97c9635a955dec80d05728abb36828" name="a2f97c9635a955dec80d05728abb36828"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f97c9635a955dec80d05728abb36828">&#9670;&#160;</a></span>ATT_SLOT_EJECTOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Weapon_Base::ATT_SLOT_EJECTOR = &quot;RevolverEjector&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00056">56</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="ab6de687953ca211e43456a0c2c9d2516" name="ab6de687953ca211e43456a0c2c9d2516"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6de687953ca211e43456a0c2c9d2516">&#9670;&#160;</a></span>C</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Weapon_Base::C</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00052">52</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a5237526cfc0b11334cea1a934ebe46d0" name="a5237526cfc0b11334cea1a934ebe46d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5237526cfc0b11334cea1a934ebe46d0">&#9670;&#160;</a></span>CC00</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Weapon_Base::CC00</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00150">150</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a5c67c868bea52f45aeccfc2b72330150" name="a5c67c868bea52f45aeccfc2b72330150"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c67c868bea52f45aeccfc2b72330150">&#9670;&#160;</a></span>CC01</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Weapon_Base::CC01</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00155">155</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="ae6f89fc0eea43deabf24fae5787dba59" name="ae6f89fc0eea43deabf24fae5787dba59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6f89fc0eea43deabf24fae5787dba59">&#9670;&#160;</a></span>CC10</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Weapon_Base::CC10</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00151">151</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="aa8de2df1f8c8e1e1dfd5d09a51aebde4" name="aa8de2df1f8c8e1e1dfd5d09a51aebde4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8de2df1f8c8e1e1dfd5d09a51aebde4">&#9670;&#160;</a></span>CC11</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Weapon_Base::CC11</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00156">156</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="aa90054876a9de8072b1719f688e34d03" name="aa90054876a9de8072b1719f688e34d03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa90054876a9de8072b1719f688e34d03">&#9670;&#160;</a></span>CD00</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Weapon_Base::CD00</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00149">149</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a9f5bf7476408a32d9d7b049b9f2a6bdc" name="a9f5bf7476408a32d9d7b049b9f2a6bdc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f5bf7476408a32d9d7b049b9f2a6bdc">&#9670;&#160;</a></span>CD01</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Weapon_Base::CD01</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00154">154</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a2774f83cc6eab93e0906aa9b5ffe64ca" name="a2774f83cc6eab93e0906aa9b5ffe64ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2774f83cc6eab93e0906aa9b5ffe64ca">&#9670;&#160;</a></span>CJF0</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Weapon_Base::CJF0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00152">152</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a49d3825ad43f10a0a4a9fe7376c29f79" name="a49d3825ad43f10a0a4a9fe7376c29f79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49d3825ad43f10a0a4a9fe7376c29f79">&#9670;&#160;</a></span>CJF1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Weapon_Base::CJF1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00157">157</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="a7e2ac3abeb766e0d3624f7922f2ab4a1" name="a7e2ac3abeb766e0d3624f7922f2ab4a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e2ac3abeb766e0d3624f7922f2ab4a1">&#9670;&#160;</a></span>m_ActiveMuzzle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Weapon_Base::m_ActiveMuzzle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00054">54</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a2f5910c0eb0a5a99e5dbfabd4ab1b470" name="a2f5910c0eb0a5a99e5dbfabd4ab1b470"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f5910c0eb0a5a99e5dbfabd4ab1b470">&#9670;&#160;</a></span>m_LastMuzzleloaded</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Weapon_Base::m_LastMuzzleloaded</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00053">53</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a9f678e99d902eea4f0cce17644f86370" name="a9f678e99d902eea4f0cce17644f86370"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f678e99d902eea4f0cce17644f86370">&#9670;&#160;</a></span>OD00</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Weapon_Base::OD00</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00153">153</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<a id="ac46b262acd805b2fd338093e972db40b" name="ac46b262acd805b2fd338093e972db40b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac46b262acd805b2fd338093e972db40b">&#9670;&#160;</a></span>OD01</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> Weapon_Base::OD01</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/daa/_pistol___base_8c_source.html#l00158">158</a> of file <a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/4_World/Entities/Firearms/<a class="el" href="../../d0/d62/_bolt_action_rifle___base_8c_source.html">BoltActionRifle_Base.c</a></li>
<li>scripts/4_World/Entities/Firearms/Pistol/<a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a></li>
<li>scripts/4_World/Entities/Firearms/<a class="el" href="../../d1/daa/_pistol___base_8c_source.html">Pistol_Base.c</a></li>
<li>scripts/4_World/Entities/Firearms/<a class="el" href="../../d5/dcf/_rifle___base_8c_source.html">Rifle_Base.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
